log4cplus::spi::DenyAllFilter Class Reference

This filter drops all logging events. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::DenyAllFilter:
[legend]
Collaboration diagram for log4cplus::spi::DenyAllFilter:
[legend]

## Public Member Functions

| DenyAllFilter ()
| DenyAllFilter (const log4cplus::helpers::Properties &)
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Always returns the `DENY` regardless of the `InternalLoggingEvent` parameter.
Public Member Functions inherited from log4cplus::spi::Filter
| Filter ()
virtual | ~Filter ()
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.
Public Member Functions inherited from log4cplus::helpers::SharedObject
void | addReference () const LOG4CPLUS_NOEXCEPT
void | removeReference () const

## Additional Inherited Members

Public Attributes inherited from log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.
Public Attributes inherited from log4cplus::helpers::SharedObject
thread::Mutex | access_mutex
Protected Member Functions inherited from log4cplus::helpers::SharedObject
| SharedObject ()
| SharedObject (const SharedObject &)
| SharedObject (SharedObject &&)
virtual | ~SharedObject ()
SharedObject & | operator= (const SharedObject &) LOG4CPLUS_NOEXCEPT
SharedObject & | operator= (SharedObject &&) LOG4CPLUS_NOEXCEPT

## Detailed Description

This filter drops all logging events.

You can add this filter to the end of a filter chain to switch from the default "accept all unless instructed otherwise" filtering behaviour to a "deny all unless instructed otherwise" behaviour.

Definition at line 150 of file filter.h.

## Constructor & Destructor Documentation

## DenyAllFilter() [1/2]

log4cplus::spi::DenyAllFilter::DenyAllFilter | ( |  | ) |

## DenyAllFilter() [2/2]

log4cplus::spi::DenyAllFilter::DenyAllFilter | ( | const log4cplus::helpers::Properties & |  | ) |

## Member Function Documentation

## decide()

virtual FilterResult log4cplus::spi::DenyAllFilter::decide | ( | const InternalLoggingEvent & | event | ) | const

virtual

Always returns the `DENY` regardless of the `InternalLoggingEvent` parameter.

Implements log4cplus::spi::Filter.

The documentation for this class was generated from the following file:

- filter.h